Package com.google.android.exoplayer2.text

## Interface Subtitle

- All Known Implementing Classes:
    `SubtitleOutputBuffer`

      public interface Subtitle

  A subtitle consisting of timed `Cue`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Cue>` | `getCues​(long timeUs)` | Retrieve the cues that should be displayed at a given time.
    `long` | `getEventTime​(int index)` | Returns the event time at a specified index.
    `int` | `getEventTimeCount()` | Returns the number of event times, where events are defined as points in time at which the cues returned by `getCues(long)` changes.
    `int` | `getNextEventTimeIndex​(long timeUs)` | Returns the index of the first event that occurs after a given time (exclusive).

- - ### Method Detail

    - #### getNextEventTimeIndex

          int getNextEventTimeIndex​(long timeUs)

      Returns the index of the first event that occurs after a given time (exclusive).
      Parameters:
        `timeUs` - The time in microseconds.
      Returns:
        The index of the next event, or `C.INDEX_UNSET` if there are no events after the specified time.

    - #### getEventTimeCount

          int getEventTimeCount()

      Returns the number of event times, where events are defined as points in time at which the cues returned by `getCues(long)` changes.
      Returns:
        The number of event times.

    - #### getEventTime

          long getEventTime​(int index)

      Returns the event time at a specified index.
      Parameters:
        `index` - The index of the event time to obtain.
      Returns:
        The event time in microseconds.

    - #### getCues

          List<Cue> getCues​(long timeUs)

      Retrieve the cues that should be displayed at a given time.
      Parameters:
        `timeUs` - The time in microseconds.
      Returns:
        A list of cues that should be displayed, possibly empty.